/** @file     main.c
 *  Main file using the STM8 LCD driver 
**/

/******************** (C) COPYRIGHT 2008 STMicroelectronics *******************
*
* THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
* AS A RESULT, STmicroelectronics SHALL NOT BE HELD LIABLE FOR ANY DIRECT,
* INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE
* CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING
* INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*
*******************************************************************************/

// Includes ------------------------------------------------------------------
#include "lcd.h"
#include "clk.h"
#include "clk_reg.h"
#include "generic.h"

// Private typedef -----------------------------------------------------------
// Private define ------------------------------------------------------------
// Private macro -------------------------------------------------------------
// Private variables ---------------------------------------------------------
// Private function prototypes -----------------------------------------------
// Private functions ---------------------------------------------------------


 // @addtogroup main
	
/** Main routine.
 * No parameter
*******************************************************************************/
void main(void)
{
	//SetBit(SWIM_CSR,0);			/* SWIM disabled to use PD1 as a standard I/O */
 	CFG_GCR |=0x01; //disable SWIM to use PD1 as a standard I/O 
	CLK_Init();
	LCD_Display("STM8 LCD");	/* example with 4 COMs and 32 SEGs */
	//LCD_Display(" STM8'' ");	/* example with 3 COMs and 32 SEGs */
	//LCD_Display(" STM8 ");		/* example with 3 COMs and 24 SEGs */
	//LCD_Display(" VP ");			/* example with 2 COMs and 16 SEGs */
	LCD_On();
	while(1) halt();
}

@interrupt void dummy()
{
}


