/** @file     CLK.h
 *  CLK controller regiters address definition + prototypes of the functions
 *  relative to the clock controller and defined in clk.c
**/

/******************** (C) COPYRIGHT 2008 STMicroelectronics *******************
*
* THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
* AS A RESULT, STmicroelectronics SHALL NOT BE HELD LIABLE FOR ANY DIRECT,
* INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE
* CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING
* INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*
*******************************************************************************/

// Define to prevent recursive inclusion -------------------------------------
#ifndef __CLK_H
#define __CLK_H

#define CLK_base_add  0x50C0  /* clock controller reg. base address  */
#define SWIM_base_add 0x7F80	/* SWIM reg. base address  */
#define CFG_GCR_base_add 0x7F60	/* Global config. reg. base address  */

// Includes ------------------------------------------------------------------
// Exported types ------------------------------------------------------------
// Exported constants --------------------------------------------------------
// Exported macro ------------------------------------------------------------
// Exported functions ------------------------------------------------------- 
void CLK_Init(void);
void CLK_Switch(char,char);	
void CLK_Switch_main(char,char);	

#endif /* __CLK_H */


